summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe LEFEBVRE (chtof) <chtof62@gmail.com>2009-12-20 23:22:00 +0000
committerChristophe LEFEBVRE (chtof) <chtof62@gmail.com>2009-12-20 23:22:00 +0000
commitef24946648a8228d4341ff1c68e3a165f304d765 (patch)
tree94c843e15207b36d0b2f638cc50b61321eb4f824 /media-tv/freetuxtv
parentsci-misc/gcam: Improved thanks in ChangeLog. (diff)
downloadsunrise-ef24946648a8228d4341ff1c68e3a165f304d765.tar.gz
sunrise-ef24946648a8228d4341ff1c68e3a165f304d765.tar.bz2
sunrise-ef24946648a8228d4341ff1c68e3a165f304d765.zip
media-tv/freetuxtv: New ebuild according bug 297508 thanks to Sedzimir, Jlec and Tommy
svn path=/sunrise/; revision=9754
Diffstat (limited to 'media-tv/freetuxtv')
-rw-r--r--media-tv/freetuxtv/ChangeLog8
-rw-r--r--media-tv/freetuxtv/Manifest4
-rw-r--r--media-tv/freetuxtv/freetuxtv-0.4.1.ebuild36
-rw-r--r--media-tv/freetuxtv/metadata.xml26
4 files changed, 74 insertions, 0 deletions
diff --git a/media-tv/freetuxtv/ChangeLog b/media-tv/freetuxtv/ChangeLog
new file mode 100644
index 000000000..05dc52da0
--- /dev/null
+++ b/media-tv/freetuxtv/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for media-tv/freetuxtv
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 20 Dec 2009; Christophe LEFEBVRE (chtof) <chtof62@gmail.com>
+ +freetuxtv-0.4.1.ebuild, +metadata.xml:
+ New ebuild according bug 297508 thanks to Sedzimir, Jlec and Tommy
+
diff --git a/media-tv/freetuxtv/Manifest b/media-tv/freetuxtv/Manifest
new file mode 100644
index 000000000..865b3c3b2
--- /dev/null
+++ b/media-tv/freetuxtv/Manifest
@@ -0,0 +1,4 @@
+DIST freetuxtv-0.4.1.tar.gz 1035389 RMD160 433f40ae336409ec0ec10fdbf9dbd432d74852f1 SHA1 8a3b352b1bcec904124657b796463cbfe10c7ba6 SHA256 e3cb99bff0ed46d3242ec2e50c124c1ebd3e4ab46c8b741f90da0cfd7b4f8704
+EBUILD freetuxtv-0.4.1.ebuild 761 RMD160 1e3386075c1c7d871e8b0da3211d51a4e91dc78f SHA1 3ce2faf7bf8c15fddf417cd0c977da55d62113b2 SHA256 4b75ea255163f627776025d49b7c33d180251afe1d68f3ecfcd8c49a49f09e54
+MISC ChangeLog 294 RMD160 f9f1d016c4a160f294dd068f1fae9a60d51066b1 SHA1 251baafa71d86ffeee2b1b4f9f6269e7553b9303 SHA256 426c784392838673a1d211f31fd166e7e6f486d59829f2a1a386f7a465f1aa2e
+MISC metadata.xml 892 RMD160 ba1598c60c8da0e3a451d503939faa37e54ef4c4 SHA1 a2ddcbc5f8679923205c09c3b80f8a51b7dd3615 SHA256 0eeae33f2be763accee2880aa21bc0acbafe616aaace6dce0619855a61fba924
diff --git a/media-tv/freetuxtv/freetuxtv-0.4.1.ebuild b/media-tv/freetuxtv/freetuxtv-0.4.1.ebuild
new file mode 100644
index 000000000..39685faef
--- /dev/null
+++ b/media-tv/freetuxtv/freetuxtv-0.4.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+DESCRIPTION="WebTV player for french people to watch ADSL TV"
+HOMEPAGE="http://code.google.com/p/freetuxtv/"
+SRC_URI="http://freetuxtv.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="nls"
+
+RDEPEND="x11-libs/gtk+:2
+ dev-libs/glib:2
+ dev-libs/dbus-glib
+ sys-apps/hal
+ dev-db/sqlite:3
+ media-video/vlc[live,rtsp]
+ net-misc/curl
+ x11-libs/libnotify
+ nls? ( virtual/libintl )"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+src_configure() {
+ econf $(use_enable nls)
+}
+
+src_install(){
+ emake DESTDIR="${D}" install || die "emake failed"
+ dodoc AUTHORS ChangeLog NEWS README || die "dodoc failed"
+}
diff --git a/media-tv/freetuxtv/metadata.xml b/media-tv/freetuxtv/metadata.xml
new file mode 100644
index 000000000..0d4615621
--- /dev/null
+++ b/media-tv/freetuxtv/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!--
+$Header: /var/cvsroot/gentoo-x86/skel.metadata.xml,v 1.18 2008/07/28 19:27:05 cardoe Exp $
+
+This is the example metadata file.
+The root element of this file is <pkgmetadata>. Within this element a
+number of subelements are allowed: herd, maintainer, and
+longdescription. herd is a required subelement.
+
+For a full description look at:
+http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=4
+
+
+Before committing, please remove the comments from this file. They are
+not relevant for general metadata.xml files.
+-->
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+<longdescription>
+ WebTV player for french people to watch ADSL TV from ISP's
+</longdescription>
+<use>
+ <flag name='nls'>Enable native language support (using intltool)</flag>
+</use>
+</pkgmetadata>